<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jdbc.parser (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jdbc.parser (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/field/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/parser/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.jdbc.parser</h1>
<div class="docSummary">
<div class="block">Statement parser for generated keys support.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html" title="interface in org.firebirdsql.jdbc.parser">JaybirdSqlListener</a></td>
<td class="colLast">
<div class="block">This interface defines a complete listener for a parse tree produced by
 <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html" title="class in org.firebirdsql.jdbc.parser"><code>JaybirdSqlParser</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/StatementParser.html" title="interface in org.firebirdsql.jdbc.parser">StatementParser</a></td>
<td class="colLast">
<div class="block">Interface for accessing the parser.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlBaseListener.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlBaseListener</a></td>
<td class="colLast">
<div class="block">This class provides an empty implementation of <a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlListener.html" title="interface in org.firebirdsql.jdbc.parser"><code>JaybirdSqlListener</code></a>,
 which can be extended to create a listener which only needs to handle a subset
 of the available methods.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlLexer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.AliasContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.AliasContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ColumnNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ColumnNameContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.DeleteStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.DeleteStatementContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.FullIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.FullIdentifierContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.InsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.InsertStatementContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.MergeStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.MergeStatementContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningClauseContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningClauseContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.ReturningColumnListContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.ReturningColumnListContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleIdentifierContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleIdentifierContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.SimpleValueContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.SimpleValueContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.StatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.StatementContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.TableNameContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.TableNameContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateOrInsertStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateOrInsertStatementContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdSqlParser.UpdateStatementContext.html" title="class in org.firebirdsql.jdbc.parser">JaybirdSqlParser.UpdateStatementContext</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/JaybirdStatementModel.html" title="class in org.firebirdsql.jdbc.parser">JaybirdStatementModel</a></td>
<td class="colLast">
<div class="block">Simple model of the parsed statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/StatementParserImpl.html" title="class in org.firebirdsql.jdbc.parser">StatementParserImpl</a></td>
<td class="colLast">
<div class="block">Concrete implementation for accessing the parser.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/jdbc/parser/StatementParser.ParseException.html" title="class in org.firebirdsql.jdbc.parser">StatementParser.ParseException</a></td>
<td class="colLast">
<div class="block">Exception to wrap other exceptions when parsing.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.firebirdsql.jdbc.parser Description">Package org.firebirdsql.jdbc.parser Description</h2>
<div class="block">Statement parser for generated keys support.
 <p>
 <b>DO NOT USE!</b> This packages is for driver-internal purposes only.
 </p>
 <p>
 The parser in this package is not a full implementation of the Firebird SQL dialect. It only serves to obtain the
 statement information necessary to support the JDBC generated keys feature.
 </p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/field/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/parser/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
